Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockPortletRequestDispatcher

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletRequestDispatcher

All Implemented Interfaces:
  javax.portlet.PortletRequestDispatcher

    public class MockPortletRequestDispatcher

extends java.lang.Object
implements javax.portlet.PortletRequestDispatcher

Mock implementation of the `PortletRequestDispatcher` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockPortletRequestDispatcher(java.lang.String url)` Create a new MockPortletRequestDispatcher for the given URL.

Method Summary
`void` | `forward(javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)`
`void` | `include(javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)`
`void` | `include(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortletRequestDispatcher

    public MockPortletRequestDispatcher(java.lang.String url)

  Create a new MockPortletRequestDispatcher for the given URL.

  Parameters:
    `url` - the URL to dispatch to.

Method Detail

### include

    public void include(javax.portlet.RenderRequest request,
                        javax.portlet.RenderResponse response)
                 throws javax.portlet.PortletException,
                        java.io.IOException

  Specified by:
    `include` in interface `javax.portlet.PortletRequestDispatcher`
  Throws:
    `javax.portlet.PortletException`
    `java.io.IOException`

### include

    public void include(javax.portlet.PortletRequest request,
                        javax.portlet.PortletResponse response)
                 throws javax.portlet.PortletException,
                        java.io.IOException

  Specified by:
    `include` in interface `javax.portlet.PortletRequestDispatcher`
  Throws:
    `javax.portlet.PortletException`
    `java.io.IOException`

### forward

    public void forward(javax.portlet.PortletRequest request,
                        javax.portlet.PortletResponse response)
                 throws javax.portlet.PortletException,
                        java.io.IOException

  Specified by:
    `forward` in interface `javax.portlet.PortletRequestDispatcher`
  Throws:
    `javax.portlet.PortletException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD